/**
 * Topologically sort an array of edges.
 *
 * @param edges - The array of edges to sort. An edge is represented
 *   as a 2-tuple of the form `[fromNode, toNode]`.
 *
 * @returns The sorted array of nodes.
 *
 * #### Notes
 * If a cycle is present in the graph, the cycle will be ignored and
 * the return value will be only approximately sorted.
 */
export declare function topSort(edges: Array<[string, string]>): string[];
